> ## Documentation Index
> Fetch the complete documentation index at: https://assemblyai.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get transcript sentences

> <Note>To retrieve your transcriptions on our EU server, replace `api.assemblyai.com` with `api.eu.assemblyai.com`.</Note>
Get the transcript split by sentences. The API will attempt to semantically segment the transcript into sentences to create more reader-friendly transcripts.




## OpenAPI

````yaml openapi.yaml GET /v2/transcript/{transcript_id}/sentences
openapi: 3.1.0
info:
  title: AssemblyAI API
  description: AssemblyAI API
  version: 1.3.4
  termsOfService: https://www.assemblyai.com/legal/terms-of-service
  contact:
    name: API Support
    email: support@assemblyai.com
    url: https://www.assemblyai.com/docs/
servers:
  - url: https://api.assemblyai.com
    description: AssemblyAI API
    x-fern-server-name: Default
security:
  - ApiKey: []
tags:
  - name: transcript
    description: Transcript related operations
    externalDocs:
      url: https://www.assemblyai.com/docs/guides/transcribing-an-audio-file
  - name: streaming
    description: Streaming Speech-to-Text
    externalDocs:
      url: https://www.assemblyai.com/docs/streaming/universal-streaming
paths:
  /v2/transcript/{transcript_id}/sentences:
    get:
      tags:
        - transcript
      summary: Get sentences in transcript
      description: >
        <Note>To retrieve your transcriptions on our EU server, replace
        `api.assemblyai.com` with `api.eu.assemblyai.com`.</Note>

        Get the transcript split by sentences. The API will attempt to
        semantically segment the transcript into sentences to create more
        reader-friendly transcripts.
      operationId: getTranscriptSentences
      parameters:
        - name: transcript_id
          x-label: Transcript ID
          in: path
          description: ID of the transcript
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Exported sentences
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SentencesResponse'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
        '429':
          $ref: '#/components/responses/TooManyRequests'
        '500':
          $ref: '#/components/responses/InternalServerError'
        '503':
          $ref: '#/components/responses/ServiceUnavailable'
        '504':
          $ref: '#/components/responses/GatewayTimeout'
components:
  schemas:
    SentencesResponse:
      x-label: Sentences response
      type: object
      x-fern-sdk-group-name: transcripts
      additionalProperties: false
      required:
        - id
        - confidence
        - audio_duration
        - sentences
      properties:
        id:
          x-label: Transcript ID
          description: The unique identifier for the transcript
          type: string
          format: uuid
        confidence:
          x-label: Confidence
          description: The confidence score for the transcript
          type: number
          format: double
          minimum: 0
          maximum: 1
        audio_duration:
          x-label: Audio duration
          description: The duration of the audio file in seconds
          type: number
        sentences:
          x-label: Sentences
          description: An array of sentences in the transcript
          type: array
          items:
            $ref: '#/components/schemas/TranscriptSentence'
            x-label: Sentence
      example:
        sentences:
          - text: >-
              Smoke from hundreds of wildfires in Canada is triggering air
              quality alerts throughout the US.
            start: 250
            end: 6350
            confidence: 0.72412
            words:
              - text: Smoke
                start: 250
                end: 650
                confidence: 0.72412
                speaker: null
              - text: from
                start: 730
                end: 1022
                confidence: 0.99996
                speaker: null
              - text: hundreds
                start: 1076
                end: 1466
                confidence: 0.99992
                speaker: null
              - text: of
                start: 1498
                end: 1646
                confidence: 1
                speaker: null
            speaker: null
          - text: Skylines from Maine to Maryland to Minnesota are gray and smoggy.
            start: 6500
            end: 11050
            confidence: 0.99819
            words:
              - text: Skylines
                start: 6500
                end: 7306
                confidence: 0.99819
                speaker: null
              - text: from
                start: 7338
                end: 7534
                confidence: 0.99987
                speaker: null
              - text: Maine
                start: 7572
                end: 7962
                confidence: 0.9972
                speaker: null
              - text: to
                start: 8026
                end: 8206
                confidence: 1
                speaker: null
              - text: Maryland
                start: 8228
                end: 8650
                confidence: 0.5192
                speaker: null
              - text: to
                start: 8730
                end: 8926
                confidence: 1
                speaker: null
            speaker: null
        id: d5a3d302-066e-43fb-b63b-8f57baf185db
        confidence: 0.9579390654205628
        audio_duration: 281
    TranscriptSentence:
      x-label: Sentence
      type: object
      x-fern-sdk-group-name: transcripts
      additionalProperties: false
      required:
        - text
        - start
        - end
        - confidence
        - words
        - speaker
      properties:
        text:
          x-label: Text
          description: The transcript of the sentence
          type: string
        start:
          x-label: Start
          description: The starting time, in milliseconds, for the sentence
          type: integer
        end:
          x-label: End
          description: The ending time, in milliseconds, for the sentence
          type: integer
        confidence:
          x-label: Confidence
          description: The confidence score for the transcript of this sentence
          type: number
          format: double
          minimum: 0
          maximum: 1
        words:
          x-label: Words
          description: An array of words in the sentence
          type: array
          items:
            $ref: '#/components/schemas/TranscriptWord'
            x-label: Word
        channel:
          x-label: Channel
          description: >-
            The channel of the sentence. The left and right channels are
            channels 1 and 2. Additional channels increment the channel number
            sequentially.
          type:
            - string
            - 'null'
        speaker:
          x-label: Speaker
          description: >-
            The speaker of the sentence if [Speaker
            Diarization](https://www.assemblyai.com/docs/pre-recorded-audio/label-speakers)
            is enabled, else null
          type:
            - string
            - 'null'
      example:
        text: >-
          Smoke from hundreds of wildfires in Canada is triggering air quality
          alerts throughout the US.
        start: 250
        end: 6350
        confidence: 0.72412
        words:
          - text: Smoke
            start: 250
            end: 650
            confidence: 0.72412
            speaker: null
          - text: from
            start: 730
            end: 1022
            confidence: 0.99996
            speaker: null
          - text: hundreds
            start: 1076
            end: 1466
            confidence: 0.99992
            speaker: null
          - text: of
            start: 1498
            end: 1646
            confidence: 1
            speaker: null
        speaker: null
    Error:
      x-label: Error
      type: object
      additionalProperties: true
      required:
        - error
      properties:
        error:
          x-label: Error message
          description: Error message
          type: string
        status:
          x-label: Status
          type: string
          const: error
      example:
        error: Transcript creation error, audio_url not found
    TranscriptWord:
      x-label: Word
      type: object
      x-fern-sdk-group-name: transcripts
      additionalProperties: false
      required:
        - confidence
        - start
        - end
        - text
        - speaker
      properties:
        confidence:
          x-label: Confidence
          description: The confidence score for the transcript of this word
          type: number
          format: double
          minimum: 0
          maximum: 1
        start:
          x-label: Start
          description: The starting time, in milliseconds, for the word
          type: integer
        end:
          x-label: End
          description: The ending time, in milliseconds, for the word
          type: integer
        text:
          x-label: Text
          description: The text of the word
          type: string
        channel:
          x-label: Channel
          description: >-
            The channel of the word. The left and right channels are channels 1
            and 2. Additional channels increment the channel number
            sequentially.
          type:
            - string
            - 'null'
        speaker:
          x-label: Speaker
          description: >-
            The speaker of the word if [Speaker
            Diarization](https://www.assemblyai.com/docs/pre-recorded-audio/label-speakers)
            is enabled, else null
          type:
            - string
            - 'null'
      example:
        text: Smoke
        start: 250
        end: 650
        confidence: 0.97465
        channel: null
        speaker: null
  responses:
    BadRequest:
      x-label: Bad request
      description: Bad request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            error: This is a sample error message
    Unauthorized:
      x-label: Unauthorized
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            error: Authentication error, API token missing/invalid
    NotFound:
      x-label: Not found
      description: Not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            error: Not found
    TooManyRequests:
      x-label: Too many requests
      description: Too many requests
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            error: Too Many Requests
      headers:
        Retry-After:
          description: The number of seconds to wait before retrying the request
          schema:
            type: integer
    InternalServerError:
      x-label: Internal server error
      description: An error occurred while processing the request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            error: >-
              Internal server error. Please retry your request. If the error
              persists, please contact support@assemblyai.com for more
              information.
    ServiceUnavailable:
      x-label: Service unavailable
      description: Service unavailable
    GatewayTimeout:
      x-label: Gateway timeout
      description: Gateway timeout
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: Authorization

````